<?php
/**
 * @project Astra.CMS
 * @link http://a-cms.ru/
 * @copyright 2011 "Астра Вебтехнологии"
 * @author Vitaly Hohlov <admin@a-cms.ru>
 * @package Plugins
 */
/**************************************************************************/

class YML_Admin extends A_MainFrame
{
  function __construct()
  {
    parent::__construct("plugin_yml.tpl");
  }

  function Action($action)
  {
    $res=false;
    switch($action)
    { case "savecats": $res=$this->SaveCats(); break;
	}
    if($res)
	A::goUrl("admin.php?mode=structures&item=".ITEM,array('tab'));
  }

  function SaveCats()
  {
	if(isset($_REQUEST['catall']))
	setTextOption(STRUCTURE,"cats",'');
	elseif(isset($_REQUEST['cat']))
	setTextOption(STRUCTURE,"cats",serialize($_REQUEST['cat']));
	return true;
  }

  function getCategories($section,&$values,$id=0,$owner="")
  {
    A::$DB->query("SELECT * FROM {$section}_categories WHERE idker={$id} ORDER BY sort");
	if(A::$DB->numRows())
	{ if(!empty($owner))
	  $owner.="&nbsp;&raquo;&nbsp;";
	  while($row=A::$DB->fetchRow())
      { $values[$row['id']]=$owner.$row['name'];
        $this->getCategories($section,$values,$row['id'],$owner.$row['name']);
      }
	}
	A::$DB->free();
  }

  function createData()
  {
	$this->Assign("shopassoc",$section=getSectionByModule('shoplite'));

	if(empty($section))	return;

	$checkeds=getTextOption(STRUCTURE,'cats');
	$checkeds=!empty($checkeds)?unserialize($checkeds):array();

	$cats=array();
	$this->getCategories($section,$cats);
	$categories=array();
	foreach($cats as $id=>$name)
	$categories[]=array('id'=>$id,'name'=>$name,'checked'=>in_array($id,$checkeds));

	$this->Assign("categories",$categories);
	$this->Assign("catall",empty($checkeds));

	$lang=getLang($section);
	$lang=$lang!=DEFAULTLANG?$lang."/":"";
	$link="http://".DOMAINNAME."/{$lang}getfile/".getName(STRUCTURE)."/".getName($section).".yml";
	$this->Assign("ymllink",$link);

	$this->Assign("optbox1",new A_OptionsBox("Описание магазина:",array("idgroup"=>1)));
	$this->Assign("optbox2",new A_OptionsBox("Курсы валют:",array("idgroup"=>2)));
  }
}

A::$MAINFRAME = new YML_Admin;